Bug 38791 - Update default product templates to benefit from C#6
Summary: Update default product templates to benefit from C#6
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Project Model (show other bugs)
Version: Trunk
Hardware: PC Mac OS
: Normal normal
Target Milestone: (C8SR1)
Assignee: Greg Munn
URL:
Depends on:
Blocks:
 
Reported: 2016-02-16 12:50 UTC by Marek Safar
Modified: 2016-07-08 14:46 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Marek Safar 2016-02-16 12:50:54 UTC
Project templates like XA still use e.g. string.Format instead of string interpolation
Comment 1 xamarin-release-manager 2016-07-08 11:32:13 UTC
Fixed in version 6.2.0.11 (master)

Author: Greg Munn
Commit: c5e9f62dda4bf2870ce77a08aa19b7cce6d7ac27 (xamarin/md-addins)
Included in Commit: 9a875154f15d2a02648cc7f9d4f4ad992abc57bf (mono/monodevelop)
Comment 2 Mohit Kheterpal 2016-07-08 14:46:24 UTC
Today, I have checked this issue with latest master build i.e. http://storage.bos.xamarin.com/monodevelop-lion-master/66/66d0294724ca11a7958a8addfde530314b5031af/XamarinStudio-6.2.0.14.dmg and observed that this issue has been fixed.

Now we are getting 

>>button.Click += delegate { button.Text = $"{count++} clicks!"; };

Previously we are getting 
>>button.Text = string.Format("{0} clicks!", count++); };

Hence closing this issue.

Thanks

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 38791 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: